QDomText(3qt)

NAME
QDomText - Represents text data in the parsed XML document

SYNOPSIS
#include <qdom.h>

Inherits QDomCharacterData.

Inherited by QDomCDATASection.

  Public Members
QDomText ()
QDomText ( const QDomText & x )
QDomText & operator= ( const QDomText & x )
~QDomText ()
QDomText splitText ( int offset )
virtual QDomNode::NodeType nodeType () const
virtual bool isText () const

DESCRIPTION
The QDomText class represents text data in the parsed XML document.

You can split the text in a QDomText object over two QDomText objecs with splitText().

For further information about the Document Object Model see http://www.w3.org/TR/REC-DOM-Level-1/ and http://www.w3.org/TR/DOM-Level-2-Core/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

See also XML.

MEMBER FUNCTION DOCUMENTATION

QDomText::QDomText ()
Constructs an empty QDomText object.

To construct a QDomText with content, use QDomDocument::createTextNode().

QDomText::QDomText ( const QDomText & x )
Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

QDomText::~QDomText ()
Destroys the object and frees its resources.

bool QDomText::isText () const [virtual]
Returns TRUE.

Reimplemented from QDomNode.

QDomNode::NodeType QDomText::nodeType () const [virtual]
Returns TextNode.

Reimplemented from QDomCharacterData.

Reimplemented in QDomCDATASection.

QDomText & QDomText::operator= ( const QDomText & x )
Assigns x to this DOM text.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

QDomText QDomText::splitText ( int offset )
Splits this DOM text object into two QDomText objects. This object keeps its first offset characters and the second (newly created) object is inserted into the document tree after this object with the remaining characters.

The function returns the newly created object.

See also QDomNode::normalize().

SEE ALSO
http://doc.trolltech.com/qdomtext.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qdomtext.3qt) and the Qt version (3.2.2).